Bug 736176 - [abrt] system-config-lvm-1.1.16-1.fc15: LogicalVolume.py:78:set_mirror_log:AttributeError: MirroredSegment instance has no attribute 'get_extent_block'
Summary: [abrt] system-config-lvm-1.1.16-1.fc15: LogicalVolume.py:78:set_mirror_log:At...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-lvm
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Grac
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:436ab0de55dbf2100318d5dec4a...
Depends On:
Blocks: 820539
TreeView+ depends on / blocked
 
Reported: 2011-09-06 22:18 UTC by Jeff Rife
Modified: 2013-01-10 23:59 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 820539 (view as bug list)
Environment:
Last Closed: 2012-08-07 20:28:08 UTC


Attachments (Terms of Use)

Description Jeff Rife 2011-09-06 22:18:23 UTC
abrt version: 2.0.3
architecture:   x86_64
cmdline:        /usr/bin/python2 /usr/sbin/system-config-lvm
component:      system-config-lvm
executable:     /usr/sbin/system-config-lvm
kernel:         2.6.40.3-0.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        system-config-lvm-1.1.16-1.fc15
reason:         LogicalVolume.py:78:set_mirror_log:AttributeError: MirroredSegment instance has no attribute 'get_extent_block'
time:           Tue Sep  6 18:09:32 2011
uid:            0
username:       root

backtrace:
:LogicalVolume.py:78:set_mirror_log:AttributeError: MirroredSegment instance has no attribute 'get_extent_block'
:
:Traceback (most recent call last):
:  File "/usr/sbin/system-config-lvm", line 172, in <module>
:    runFullGUI()
:  File "/usr/sbin/system-config-lvm", line 157, in runFullGUI
:    blvm = baselvm(glade_xml, app)
:  File "/usr/sbin/system-config-lvm", line 105, in __init__
:    self.volume_tab_view = Volume_Tab_View(glade_xml, self.lvmm, self.main_win)
:  File "/usr/share/system-config-lvm/Volume_Tab_View.py", line 133, in __init__
:    self.prepare_tree()
:  File "/usr/share/system-config-lvm/Volume_Tab_View.py", line 214, in prepare_tree
:    self.model_factory.reload()
:  File "/usr/share/system-config-lvm/lvm_model.py", line 172, in reload
:    self.__link_mirrors()
:  File "/usr/share/system-config-lvm/lvm_model.py", line 591, in __link_mirrors
:    lv.set_mirror_log(log_lv)
:  File "/usr/share/system-config-lvm/LogicalVolume.py", line 78, in set_mirror_log
:    extent = seg.get_extent_block()
:AttributeError: MirroredSegment instance has no attribute 'get_extent_block'
:
:Local variables in innermost frame:
:seg: <Segment.MirroredSegment instance at 0x2ceee18>
:self: <LogicalVolume.LogicalVolume instance at 0x2ceea28>
:log: <LogicalVolume.LogicalVolume instance at 0x2ceedd0>

comment:
:Ran "system-config-lvm" with a mirrored LVM volume.  The mirrored volume was created with:
:
:lvconvert -m1 --mirrorlog mirrored -R 64 Main/Root /dev/sdb2 /dev/sda3 /dev/sdb3
:
:output from "lvdisplay --all -m":
:
:  --- Logical volume ---
:  LV Name                /dev/Main/Root
:  VG Name                Main
:  LV UUID                kTYTbI-qnJW-s0e3-t8dg-qCsJ-SPMV-kuAtjn
:  LV Write Access        read/write
:  LV Status              available
:  # open                 1
:  LV Size                11.94 GiB
:  Current LE             191
:  Mirrored volumes       2
:  Segments               1
:  Allocation             inherit
:  Read ahead sectors     auto
:  - currently set to     256
:  Block device           253:1
:
:  --- Segments ---
:  Logical extent 0 to 190:
:    Type                mirror
:    Mirrors             2
:    Mirror size         191
:    Mirror log volume   Root_mlog
:    Mirror region size  64.00 MiB
:    Mirror original:
:      Logical volume    Root_mimage_0
:      Logical extents   0 to 190
:    Mirror destinations:
:      Logical volume    Root_mimage_1
:      Logical extents   0 to 190
:
:
:  --- Logical volume ---
:  LV Name                /dev/Main/Root_mlog
:  VG Name                Main
:  LV UUID                wDZcgu-P3Ef-uInC-UGqc-RKqH-jkdk-QYqyhx
:  LV Write Access        read/write
:  LV Status              available
:  # open                 1
:  LV Size                64.00 MiB
:  Current LE             1
:  Mirrored volumes       2
:  Segments               1
:  Allocation             inherit
:  Read ahead sectors     auto
:  - currently set to     256
:  Block device           253:4
:   
:  --- Segments ---
:  Logical extent 0 to 0:
:    Type                mirror
:    Mirrors             2
:    Mirror size         1
:    Mirror region size  64.00 MiB
:    Mirror original:
:      Logical volume    Root_mlog_mimage_0
:      Logical extents   0 to 0
:    Mirror destinations:
:      Logical volume    Root_mlog_mimage_1
:      Logical extents   0 to 0
:      
:      
:  --- Logical volume ---
:  LV Name                /dev/Main/Root_mlog_mimage_0
:  VG Name                Main
:  LV UUID                z92o1b-SCUA-Rlu9-7FtX-2Ksi-2q6q-96f9YP
:  LV Write Access        read/write
:  LV Status              available
:  # open                 1
:  LV Size                64.00 MiB
:  Current LE             1
:  Segments               1
:  Allocation             inherit
:  Read ahead sectors     auto
:  - currently set to     256
:  Block device           253:2
:
:  --- Segments ---
:  Logical extent 0 to 0:
:    Type                linear
:    Physical volume     /dev/sda3
:    Physical extents    0 to 0
:
:
:  --- Logical volume ---
:  LV Name                /dev/Main/Root_mlog_mimage_1
:  VG Name                Main
:  LV UUID                HjALZn-TPNv-WcoU-uVtN-Cimt-wQpM-JUmMCK
:  LV Write Access        read/write
:  LV Status              available
:  # open                 1
:  LV Size                64.00 MiB
:  Current LE             1
:  Segments               1
:  Allocation             inherit
:  Read ahead sectors     auto
:  - currently set to     256
:  Block device           253:3
:
:  --- Segments ---
:  Logical extent 0 to 0:
:    Type                linear
:    Physical volume     /dev/sdb3
:    Physical extents    0 to 0
:
:
:  --- Logical volume ---
:  LV Name                /dev/Main/Root_mimage_0
:  VG Name                Main
:  LV UUID                bLR6aH-mwfk-3NPe-80nr-2qLe-Wpcm-fST4yt
:  LV Write Access        read/write
:  LV Status              available
:  # open                 1
:  LV Size                11.94 GiB
:  Current LE             191
:  Segments               1
:  Allocation             inherit
:  Read ahead sectors     auto
:  - currently set to     256
:  Block device           253:5
:
:  --- Segments ---
:  Logical extent 0 to 190:
:    Type                linear
:    Physical volume     /dev/sda2
:    Physical extents    64 to 254
:
:
:  --- Logical volume ---
:  LV Name                /dev/Main/Root_mimage_1
:  VG Name                Main
:  LV UUID                WM0vPI-hWNl-tofZ-j3EM-Zypk-H9y4-bR7EbX
:  LV Write Access        read/write
:  LV Status              available
:  # open                 1
:  LV Size                11.94 GiB
:  Current LE             191
:  Segments               1
:  Allocation             inherit
:  Read ahead sectors     auto
:  - currently set to     256
:  Block device           253:6
:
:  --- Segments ---
:  Logical extent 0 to 190:
:    Type                linear
:    Physical volume     /dev/sdb2
:    Physical extents    0 to 190

Comment 1 Chris Lockfort 2011-12-09 09:11:22 UTC
I am also experiencing this bug, immediately after adding a mirrored lvm group with a mirrored mirrorlog, just as Jeff has described in his situation above.

Comment 2 Marek Grac 2012-05-10 10:41:29 UTC
Fixed in upstream:

http://git.fedorahosted.org/git/?p=system-config-lvm.git;a=commit;h=f651eb5664e0ef265c8114ae5b203b4ad2bec0f6

Unit test:

dd if=/dev/zero of=loop0 count=1000000
dd if=/dev/zero of=loop1 count=1000000
dd if=/dev/zero of=loop2 count=1000000

losetup -f loop0
losetup -f loop1
losetup -f loop2

pvcreate /dev/loop0
pvcreate /dev/loop1
pvcreate /dev/loop2

vgcreate baste /dev/loop0 /dev/loop1 /dev/loop2

lvcreate -L 100M --mirrorlog mirrored -m1 -n fidli basta /dev/loop0 /dev/loop1 /dev/loop2

system-config-lvm

CRASH

Comment 3 Fedora End Of Life 2012-08-07 20:28:11 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.